import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { FormsModule } from "@angular/forms";
import { Routes, RouterModule } from "@angular/router";

import { IonicModule } from "@ionic/angular";

import { ScanPage } from "./scan.page";
import { QRScanner } from "@ionic-native/qr-scanner/ngx";
const routes: Routes = [
  {
    path: "",
    component: ScanPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes)
  ],
  providers: [QRScanner],
  declarations: [ScanPage]
})
export class ScanPageModule {}
